<!--
  Title: Exalt Account Manager
  Description: An account manager and launcher for the game realm of the mad god (rotmg for short).
  Author: Maik8
  -->

# Exalt Account Manager

<div align="center">
<a href="https://github.com/MaikEight/ExaltAccountManager#:~:text=README.md-,Exalt%20Account%20Manager,-The%20Exalt%20Account" style="display: inline">
  <img
   src="https://img.shields.io/badge/Project-Exalt%20Account%20Manager-violet.svg?style=flat&color=6200EE"
    alt="Exalt Account Manager" />
</a>
<a href="https://app.codacy.com/gh/MaikEight/ExaltAccountManager/dashboard?utm_source=gh&utm_medium=referral&utm_content=&utm_campaign=Badge_grade" style="display: inline">
  <img
   src="https://app.codacy.com/project/badge/Grade/0ef544da9dd44beeac1d3e69f7312d94"
    alt="Exalt Account Manager" />
</a>
<a href="https://github.com/MaikEight/ExaltAccountManager/blob/main/LICENSE" style="display: inline">
  <img
    src="https://img.shields.io/github/license/MaikEight/ExaltAccountManager?label=License"
    alt="License GPL-3.0" />
</a>
<a href="https://github.com/MaikEight/ExaltAccountManager#Languages:~:text=your%20first%20package-,Languages" style="display: inline">
  <img
    src="https://img.shields.io/github/languages/top/MaikEight/ExaltAccountManager"
    alt="Top language" />
</a>
<a href="https://github.com/MaikEight" style="display: inline">
  <img
    src="https://img.shields.io/maintenance/yes/2024?label=Maintained"
    alt="Maintained" />
</a>
<a href="https://github.com/MaikEight/ExaltAccountManager/commits/main" style="display: inline">
  <img
    src="https://img.shields.io/github/last-commit/MaikEight/ExaltAccountManager?label=Last%20commit"
    alt="Last commit" />
</a>
<a href="https://tauri.app" style="display: inline">
  <img
    src="https://img.shields.io/badge/Tauri-1.5.1-violet.svg?style=flat&logo=Tauri&color=512BD4"
    alt="Tauri version 1.5.1" />
</a>
<a href="https://github.com/MaikEight/ExaltAccountManager/releases/latest" style="display: inline">
  <img
    src="https://img.shields.io/github/v/release/MaikEight/ExaltAccountManager?label=Latest%20Release"
    alt="Latest release" />
</a>
<a href="https://github.com/MaikEight/ExaltAccountManager/releases/latest" style="display: inline">
  <img
    src="https://img.shields.io/github/release-date/MaikEight/ExaltAccountManager?label=Release%20date"
    alt="Release date" />
</a>
<a href="https://github.com/MaikEight/ExaltAccountManager/releases/latest" style="display: inline">
  <img
    src="https://img.shields.io/github/downloads/MaikEight/ExaltAccountManager/total?label=Downloads"
    alt="Downloads" />
</a>
<a href="https://discord.exalt-account-manager.eu" style="display: inline">
  <img
    src="https://img.shields.io/discord/870868049333469224?color=5662F6&label=Discord"
    alt="Discord server" />
</a>


<br >

<img  width="250" height="250" src="https://raw.githubusercontent.com/MaikEight/ExaltAccountManager/main/src-tauri/icons/logo.png" alt="EAM logo" title="EAM logo">  
</div>


Exalt Account Manager (EAM) is an efficient toolset designed to streamline multiple account management for the popular online game "Realm of the Mad God" (ROTMG). EAM enhances the original game launcher with a user-friendly interface and a wide array of features.

Developed by a passionate ROTMG enthusiast, EAM offers a seamless multi-account experience, enabling quick Exalt launches, Auto Daily Login for chosen accounts, and secure account data storage using Windows Data Protection API. With EAM, you can import accounts from various formats, create login tokens, and leverage Captcha-solving support.

EAM also includes quality-of-life improvements such as a GUI log, visual statistics, Vault Peek feature, and Ping Checker. Built-in Help and Troubleshooting ensure that support and resources are readily available. The developer, Maik8, is always ready to assist via Discord or email.

As EAM continues to evolve, your feedback and suggestions are invaluable. Join the active community of ROTMG players and EAM users to shape the future of the project. Elevate your ROTMG gaming experience with the power and convenience of Exalt Account Manager today!

<br >
<br >

![Exalt Account Manager](https://i.imgur.com/l8yu0lc.png)

<br >

## Features ✨
- Quickly launch Exalt with different accounts
- Open multiple instances of Exalt simultaneously with the click of a button
- Securely store account data with Windows Data Protection API encrypted save-file
- Rapid updater for both the game and EAM
- Automatically fetch the Account name
- Create login-tokens at runtime
- Steam account support

## How to get started 🚀

1. Get the latest release of EAM [here](https://github.com/MaikEight/ExaltAccountManager/releases/latest).
2. Run the installer
3. Enjoy!

## Need support or have questions? 📝
Join the [Discord server](https://discord.exalt-account-manager.eu) and leave a message in the help-request or general channel. I respond to inquiries promptly!

Don't have discord? 

Write me an email: mail@maik8.de

## Missing a feature or found a bug? 🐛
Just open an issue here, write an email (mail@maik8.de) or join the discord.

<a href="https://discord.exalt-account-manager.eu">
  <img
    src="https://img.shields.io/discord/870868049333469224?color=5662F6&label=Discord"
    alt="Discord server"
  />
</a>

## Want to support this project? 📈
If you want to contribut to this project, please leave me a message in discord and I happily take some time to help you getting started.

<b>Can't code but want to help anyways?</b>

Version-Tests and feedback are important aswell, if you have a minute to write me your thought about EAM and how it could be improved, please do.

If you want, you can donate a buck or two, any money generated will be re-invested into this project.
Purchases: 
- The awesome, custom made application-logo.
- The domain exalt-account-manager.eu.
- A VPS to host the "Analytics"- and "General Services"-API aswell as potential other EAM-services.
- 2x Open Source Code Signing Certificate to ensure authenticity and integrity of the software.

<b>Any help is greatly appreciated</b> 🍻

<a href="https://ko-fi.com/maik8">
  <img
    height='48'
    src="https://storage.ko-fi.com/cdn/brandasset/kofi_bg_tag_dark.png"
    alt="Ko-Fi"
  />
</a>

<a href="https://www.buymeacoffee.com/Maik8">
  <img
    height='48'
    src="https://i.imgur.com/tAUkwTQ.png"
    alt="Ko-Fi"
  />
</a>

## Credits 💚

<a href="https://gitmoji.dev">
  <img
    src="https://img.shields.io/badge/gitmoji-%20😜%20😍-FFDD67.svg?style=flat"
    alt="Gitmoji"
  />
</a>
<a href="https://mui.com">
  <img
    src="https://img.shields.io/badge/MUI-%230081CB.svg?style=for-the-badge&logo=mui&logoColor=white"
    alt="Icons8"
    height="20px"
    style="border-radius: 2px"
  />
</a>

<b>Big</b> thanks to [MUI](https://mui.com) for the wonderful React component library!

And thanks to [gitmoji](https://gitmoji.dev) for all the emotes used in the commits & markdown files. 